summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRichard Neumann2018-09-13 21:41:54 +0200
committerRichard Neumann2018-09-13 21:41:54 +0200
commitad94da2ffe594bce1eee22c5b8535b25d59c2cde (patch)
tree70755aabf62eca14d96ed5b91e759349d10a205e
downloadaur-ad94da2ffe594bce1eee22c5b8535b25d59c2cde.tar.gz
init
-rw-r--r--.SRCINFO16
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD28
3 files changed, 48 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..0f89413d27f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = python-httpam-git
+ pkgdesc = Python 3 library and scripts for the RCON and Query protocol
+ pkgver = r9.6c45106
+ pkgrel = 1
+ url = https://gitlab.com/coNQP/httpam
+ arch = any
+ license = GPLv3
+ makedepends = git
+ makedepends = python
+ depends = python
+ depends = python-pam
+ source = httpam::git+https://gitlab.com/coNQP/httpam.git
+ md5sums = SKIP
+
+pkgname = python-httpam-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..c979f116363
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+src
+pkg
+*.tar.xz*
+httpam
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..82ba017e4f9
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Richard Neumann aka. schard <mail at richard dash neumann period de>
+
+_pkgbase='httpam'
+pkgname="python-${_pkgbase}-git"
+pkgver=r9.6c45106
+pkgrel=1
+pkgdesc='Python 3 library and scripts for the RCON and Query protocol'
+arch=('any')
+url="https://gitlab.com/coNQP/${_pkgbase}"
+license=('GPLv3')
+depends=('python' 'python-pam')
+makedepends=('git' 'python')
+source=("${_pkgbase}::git+${url}.git")
+md5sums=('SKIP')
+pkgdir='pkg'
+srcdir='src'
+
+
+pkgver() {
+ cd "${_pkgbase}" || exit 1
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+
+package() {
+ cd "${srcdir}/${_pkgbase}"
+ python setup.py install --root "${pkgdir}" --optimize=1
+}